Bug 1640912 - pcp-system-tools: please add Provides: dstat, Obsoletes must be versioned
Summary: pcp-system-tools: please add Provides: dstat, Obsoletes must be versioned
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcp
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-19 07:15 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2018-11-28 02:45 UTC (History)
6 users (show)

Fixed In Version: pcp-4.2.0-1.fc27 pcp-4.2.0-1.fc29 pcp-4.2.0-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-28 02:21:34 UTC


Attachments (Terms of Use)

Description Zbigniew Jędrzejewski-Szmek 2018-10-19 07:15:08 UTC
Description of problem:
First issue: on upgrade to F29, pcp-system-tools is not installed automatically.
pcp-system-tools have Obsoletes:dstat. Please add Provides: dstat so that pcp-system-tools is automatically installed as an upgrade for dstat.

Second issue: Obsoletes should NEVER be used unversioned.

See https://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages.

Version-Release number of selected component (if applicable):
pcp-system-tools-4.1.3-1.fc29.x86_64

Comment 1 Nathan Scott 2018-10-23 20:50:24 UTC
Thanks - these issues are fixed in the PCP spec file now, will be included in pcp-4.2.0 in a few weeks time.

FWIW, there was a Provides: /usr/bin/dstat (at the request of the previous package owner) but yep, a versioned package Provides: should also be there.

Comment 2 Bert DeKnuydt 2018-11-07 09:02:24 UTC
If pcp is seen as a (fat) replacement for dstat, is it then
normal to have it start up several (unwanted) daemon processes by default?

Maybe a pcp-something-dstat only (or w/ other executables, but
no systemd/daemon stuff) package might be better? 

B.

Comment 3 Nathan Scott 2018-11-07 22:21:23 UTC
Hi there Bert,

(In reply to Bert DeKnuydt from comment #2)
> [...]
> Maybe a pcp-something-dstat only (or w/ other executables, but
> no systemd/daemon stuff) package might be better? 

That is a good idea - in fact, it is packaged that way already.

The new dstat resides in the pcp-system-tools package which has no dependency on the pcp package - it only depends on pcp-libs and python3-pcp.

There is also no need to run any PCP daemons in order to use the new dstat - by default it will run in a 'local context' mode where the tool does sampling by itself, rather than using pmcd(1).

> [...] pcp is seen as a (fat) replacement for dstat [...]

FWIW, the new dstat can take advantage of pmcd(1) in order to operate remotely ("pcp --host xxx.com dstat") - providing an unimplemented feature request from the old dstat TODO file for 10+ years.

PCP has also filled in other missing dstat functionality: the ability to replay historical performance data, the addition of a metric namespace and dstat plugins as configuration files.  The man page has more details if interested - see the EXAMPLES section in particular.

And of course it provides the missing python3 support that would have seen the old dstat removed entirely from Fedora30 without any replacement at all (the old dstat is unmaintained upstream).

HTH.

Comment 4 Fedora Update System 2018-11-16 10:24:32 UTC
pcp-4.2.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3b0d7f7858

Comment 5 Fedora Update System 2018-11-16 10:25:38 UTC
pcp-4.2.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ae612244a9

Comment 6 Fedora Update System 2018-11-16 10:26:31 UTC
pcp-4.2.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8da69c3c21

Comment 7 Fedora Update System 2018-11-17 04:43:57 UTC
pcp-4.2.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3b0d7f7858

Comment 8 Fedora Update System 2018-11-17 05:58:11 UTC
pcp-4.2.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8da69c3c21

Comment 9 Fedora Update System 2018-11-17 06:39:15 UTC
pcp-4.2.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ae612244a9

Comment 10 Fedora Update System 2018-11-28 02:21:34 UTC
pcp-4.2.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-11-28 02:41:40 UTC
pcp-4.2.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-11-28 02:45:21 UTC
pcp-4.2.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.